
Redmine - Defect #19656

Activities do not correspont to project when adding time from my page.

2015-04-17 19:33 - Zer Guz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 3.1.0   

Resolution: Fixed Affected version: 2.6.5

Description

Steps to reproduce:

Go to "My page" and chose "Log time".

Chose a project that has a non-default list of activities.

Try to chose an activity -> it shows the default list of activities that does not correspond to the chosen project.

This problem does not occur when logging directly from an issue, as the project is already chosen for you.

Related issues:

Related to Redmine - Defect #20117: Activities set as inactive missing in spe... Closed

Associated revisions

Revision 14287 - 2015-05-30 10:38 - Jean-Philippe Lang

Update activities list when changing project/issue id on the time entry form (#19656).

Revision 14288 - 2015-05-30 10:46 - Jean-Philippe Lang

Validates that activity belongs to project activities (#19656).

Revision 14291 - 2015-05-30 11:41 - Jean-Philippe Lang

Fixed test failures introduced by r14288 (#19656).

History

#1 - 2015-04-17 19:55 - Leonel Iturralde

Confirmed. I can even save time entries with activities that are not from that project.

#2 - 2015-05-17 05:49 - Toshi MARUYAMA

- Target version set to 3.0.4

#3 - 2015-05-17 05:55 - Toshi MARUYAMA

- Target version changed from 3.0.4 to 3.1.0

#4 - 2015-05-17 05:58 - Toshi MARUYAMA

- Status changed from New to Confirmed

- Affected version changed from 3.0.0 to 2.6.5

#5 - 2015-05-30 10:39 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r14287, the activities list is now updated when choosing a project or an issue on the time entry form.

#6 - 2015-07-17 02:25 - Toshi MARUYAMA

- Related to Defect #20117: Activities set as inactive missing in spent time report filter added
